package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.VigenciaTarifa;
import com.rjconsultores.ventaboletos.service.TarifaOficialService;


public interface TarifaOficialDAO {
	/**
	 * See {@link TarifaOficialService#gerarTarifaANTT(Integer)}
	 * @param ruta
	 * @return TODO
	 */
	public Integer gerarTarifaANTT(Integer ruta);
	
	/**
	 * See {@link TarifaOficialService#atualizarTarifaANTT(Integer)}
	 * @param rutaId
	 * @param usuarioId TODO
	 * @return TODO
	 */
	public Integer atualizarTarifaANTT(Integer rutaId, Integer usuarioId);
	
	/**
	 * 	 * See {@link TarifaOficialService#copiarParaTarifa(VigenciaTarifa)}
	 * @param vigenciaTarifa
	 * @param usuarioId TODO
	 */
	public void copiarParaTarifa(VigenciaTarifa vigenciaTarifa, Integer usuarioId);
}
