package com.rjconsultores.ventaboletos.dao.sqlbuilder;


/**
 * Interface que indica quais so os SQL nativos da aplicao.
 * 
 * Cada mtodo representa um SQL nativo que deve ser implementado de acordo com a base de dados.
 * 
 * O padro para a clase  retornar o SQL nativo para o conjunto de parametros
 * 
 * 
 * @author gleimar
 *
 */
public interface SQLBuilder {

	public String getSQLTarifaOficial1(Integer codRuta);
	
	public String getSQLTarifaOficial2(Integer rutaId, Integer usuarioId);
	
}
