package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface TipoEventoExtraService {

	List<TipoEventoExtra> buscar(String descingreso);
	
	public List<TipoEventoExtra> obtenerTodos();

    public TipoEventoExtra obtenerID(Integer id);

    public TipoEventoExtra suscribir(TipoEventoExtra entidad);

    public TipoEventoExtra actualizacion(TipoEventoExtra entidad);

    public void borrar(TipoEventoExtra entidad) throws BusinessException;

}
