package com.rjconsultores.ventaboletos.vo.esquemaoperacional;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Empresa;

public class RutaTramoVO {
	private Boolean ventaHandHeld;
	private Boolean solicitaNombrePasajero;
	private ClaseServicio claseServicio;
	private List<SecuenciaRutaTramoVO> lsSecuenciaRutaTramoVO;
	private List<SecuenciaRutaTramoVO> lsCombinacionRutaTramoVO;
	private List<Empresa> lsEmpresa;
	private String prefixo;
	private String descRuta;

	public RutaTramoVO() {
		lsSecuenciaRutaTramoVO = new ArrayList<SecuenciaRutaTramoVO>();
		lsEmpresa = new ArrayList<Empresa>();
		lsCombinacionRutaTramoVO = new ArrayList<SecuenciaRutaTramoVO>();
	}

	public Boolean getVentaHandHeld() {
		return ventaHandHeld;
	}

	public void setVentaHandHeld(Boolean ventaHandHeld) {
		this.ventaHandHeld = ventaHandHeld;
	}

	public Boolean getSolicitaNombrePasajero() {
		return solicitaNombrePasajero;
	}

	public void setSolicitaNombrePasajero(Boolean solicitaNombrePasajero) {
		this.solicitaNombrePasajero = solicitaNombrePasajero;
	}

	public ClaseServicio getClaseServicio() {
		return claseServicio;
	}

	public void setClaseServicio(ClaseServicio claseServicio) {
		this.claseServicio = claseServicio;
	}

	/**
	 * Regresa una unmodifiable list
	 * 
	 * @return
	 */
	public List<SecuenciaRutaTramoVO> getLsSecuenciaRutaTramoVO() {
		return Collections.unmodifiableList(lsSecuenciaRutaTramoVO);
	}

	public void setLsSecuenciaRutaTramoVO(List<SecuenciaRutaTramoVO> lsSecuenciaRutaTramoVO) {
		this.lsSecuenciaRutaTramoVO = lsSecuenciaRutaTramoVO;
	}

	/**
	 * Regresa una unmodifiable list
	 * 
	 * @return
	 */
	public List<SecuenciaRutaTramoVO> getLsCombinacionRutaTramoVO() {
		return Collections.unmodifiableList(lsCombinacionRutaTramoVO);
	}

	public void setLsCombinacionRutaTramoVO(List<SecuenciaRutaTramoVO> lsCombinacionRutaTramoVO) {
		this.lsCombinacionRutaTramoVO = lsCombinacionRutaTramoVO;
	}

	public List<Empresa> getLsEmpresa() {
		return lsEmpresa;
	}

	public void setLsEmpresa(List<Empresa> lsEmpresa) {
		this.lsEmpresa = lsEmpresa;
	}

	public String getPrefixo() {
		return prefixo;
	}

	public void setPrefixo(String prefixo) {
		this.prefixo = prefixo;
	}

	public String getDescRuta() {
		return descRuta;
	}

	public void setDescRuta(String descRuta) {
		this.descRuta = descRuta;
	}
}
